package cn.bsystem.ptConst.dao;

import cn.base.dao.BaseSqlMapDAO;
import org.springframework.stereotype.Repository;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;

@SuppressWarnings({ "all" })
@Repository("xtclDao")
public class XtclDao extends BaseSqlMapDAO {
	
	/**
	 * 增加记录
	 * @param map
	 */
	public void insert_Xtcl(Map map) throws SQLException{
		this.insert("insert_Xtcl",map);
	}
	
	/**
	 * 批处理增加记录
	 * @param batch
	 */
	public void batch_insert_Xtcl(List batch) throws SQLException{
		this.insert("batch_insert_Xtcl",batch);
	}

	/**
	 * 修改记录
	 * @param map
	 * @return Integer
	 */
	public Integer update_Xtcl(Map map) throws SQLException{
		return this.update("update_Xtcl",map);
	}

	/**
	 * 删除记录
	 * @param map
	 * @return Integer
	 */
	public Integer delete_Xtcl(Map map) throws SQLException{
		return this.delete("delete_Xtcl",map);
	}
	
	/**
	 * 批处理删除记录
	 * @param map
	 * @return Integer
	 */
	public Integer batch_delete_Xtcl(Map map) throws SQLException{
		return this.delete("batch_delete_Xtcl",map);
	}

	
	/**
	 * 查询总数
	 * 
	 * @param map
	 * @return Integer
	 */
	public Integer count_Xtcl(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_Xtcl",map);
	}
	
	/**
	 * 查询列表记录
	 * 
	 * @param map
	 * @return List
	 */
	public List<Map> query_Xtcl(Map map) throws SQLException{
		return this.queryForPage("query_Xtcl",map);
	}
	public List<Map> query_Xtcl_task(Map m) throws SQLException{
		return this.queryForList("query_Xtcl_task",m);
	}
	
	/**
	 * 查询列表记录
	 * 
	 * @param map
	 * @return List
	 */
	public Map get_Xtcl(Map map) throws SQLException{
		return (Map) this.queryForObject("query_Xtcl",map);
	}


	public List<Map> query_Xtcl_alarm(Map m) throws SQLException{
		return this.queryForList("query_Xtcl_alarm",m);
	}
}
